# SoInterpolateVec2f Class Reference
[Engine classes]

`#include <Inventor/engines/SoInterpolateVec2f.h>`

Inheritance diagram for SoInterpolateVec2f:

List of all members.

## Detailed Description

The SoInterpolateVec2f class is used to interpolate between pairs of 2D vectors.

## Public Attributes

SoMFVec2f | input0
SoMFVec2f | input1

## Member Data Documentation

SoMFVec2f SoInterpolateVec2f::input0

| First set of input values.

SoMFVec2f SoInterpolateVec2f::input1

| Second set of input values.

The documentation for this class was generated from the following files:

- SoInterpolateVec2f.h
- SoInterpolateVec2f.cpp